Package org.apache.sling.commons.log.logback.internal.config

# Class LoggerManagedServiceFactory

java.lang.Object
org.apache.sling.commons.log.logback.internal.config.LogConfigurator
org.apache.sling.commons.log.logback.internal.config.LoggerManagedServiceFactory

All Implemented Interfaces:
  `org.osgi.service.cm.ManagedServiceFactory`

public class LoggerManagedServiceFactory extends LogConfigurator implements org.osgi.service.cm.ManagedServiceFactory
Factory for non-global logging configuration services

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`LOG_FILE_DEFAULT`
The default file name when a value is not supplied in the configuration

## Constructor Summary

Constructors
Constructor
Description
`LoggerManagedServiceFactory()`

## Method Summary

Modifier and Type
Method
Description
`void`
`deleted(@NotNull String pid)`
Remove the logger configuration for the supplied configuration service
`@NotNull String`
`getName()`
Descriptive name of this factory
`void`
`updated(@NotNull String pid, @NotNull Dictionary<String,?> configuration)`
Update the logger configuration for the supplied configuration service

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LOG_FILE_DEFAULT

public static final String LOG_FILE_DEFAULT
The default file name when a value is not supplied in the configuration

See Also:
  - Constant Field Values

## Constructor Details

### LoggerManagedServiceFactory

public LoggerManagedServiceFactory()

## Method Details

### getName

@NotNull public @NotNull String getName()
Descriptive name of this factory

Specified by:
  `getName` in interface `org.osgi.service.cm.ManagedServiceFactory`
Returns:
  the name for the factory

### updated

public void updated(@NotNull @NotNull String pid, @NotNull @NotNull Dictionary<String,?> configuration) throws org.osgi.service.cm.ConfigurationException
Update the logger configuration for the supplied configuration service

Specified by:
  `updated` in interface `org.osgi.service.cm.ManagedServiceFactory`
Parameters:
  `pid` - the service identifier for the service
  `configuration` - the configuration properties to apply
Throws:
  `org.osgi.service.cm.ConfigurationException`

### deleted

public void deleted(@NotNull @NotNull String pid)
Remove the logger configuration for the supplied configuration service

Specified by:
  `deleted` in interface `org.osgi.service.cm.ManagedServiceFactory`
Parameters:
  `pid` - the service identifier for the service